## base-installer 1.223devuan1

=== debian/changelog ===
base-installer (1.223devuan1) unstable; urgency=medium

  * Merge tag 1.223.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 03 Apr 2025 07:49:20 +0100

base-installer (1.223) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Hungarian (hu.po) by Szia Tomi
  * Georgian (ka.po) by Temuri Doghonadze
  * Dutch (nl.po) by Frans Spiesschaert
  * Serbian (sr.po) by Мирослав Николић

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 01 Apr 2025 00:15:46 +0200

## base-installer 1.224

=== debian/changelog ===
base-installer (1.224) unstable; urgency=medium

  * Team upload

  [ Pascal Hambourg ]
  * Filter out *-signed-template packages from kernel selection.
    Closes: #1104907.

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 10 May 2025 19:04:48 +0200

## base-installer 1.224devuan1

=== debian/changelog ===
base-installer (1.224devuan1) unstable; urgency=medium

  * Merge tag 1.224.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 10 May 2025 23:04:36 +0100

## base-installer 1.225

=== debian/changelog ===
base-installer (1.225) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Occitan (oc.po) by Quentin PAGÈS
  * Romanian (ro.po) by Remus-Gabriel Chelu
  * Russian (ru.po) by vladiruzz
  * Telugu (te.po) by Sripath Roy Koganti
  * Uyghur (ug.po) by Abduqadir Abliz

 -- Holger Wansing <hwansing@mailbox.org>  Wed, 25 Jun 2025 20:13:32 +0200

## base-installer 1.225devuan1

=== debian/changelog ===
base-installer (1.225devuan1) unstable; urgency=medium

  * Merge tag 1.225.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 28 Jun 2025 07:39:19 +0100

=== debian/control ===
Source: base-installer
Section: debian-installer
Priority: required
Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
Origin: Devuan
Build-Depends: debhelper-compat (= 13), libdebconfclient0-dev, libdebian-installer4-dev
Vcs-Browser: https://git.devuan.org/devuan/base-installer
Vcs-Git: https://git.devuan.org/devuan/base-installer.git

Package: base-installer
Package-Type: udeb
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, di-utils-mapdevfs, di-utils, rootskel
Description: base system installation framework

Package: bootstrap-base
Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, mounted-partitions, created-fstab, base-installer, debootstrap-udeb, gpgv-udeb, debian-archive-keyring-udeb, archdetect, ${misc:Depends}
Provides: kernel-installer, installed-base
XB-Installer-Menu-Item: 6500
Description: Install the base system

## base-installer 1.225trisquel0.10

=== kernel/Makefile ===
ARCHES = alpha amd64 arm64 armel armhf hppa ia64 m68k mips mipsel mips64el powerpc ppc64 ppc64el s390x sh4 sparc sparc64 kfreebsd-amd64 kfreebsd-i386

test:
	@STATUS=0; \
	cd tests && \
	for x in $(ARCHES); do ./runtests "$$x" || STATUS=1; done; \
	exit "$$STATUS"

=== debian/changelog ===
base-installer (1.225trisquel0.10) ecne; urgency=medium

  * Rebranded and adapted for Trisquel - TESTING (remove when complete)

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 30 Jun 2025 00:50:56 +0000

=== debian/control ===
Source: base-installer
Section: debian-installer
Priority: required
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Colin Watson <cjwatson@debian.org>, dann frazier <dannf@debian.org>, Steve McIntyre <93sam@debian.org>
Build-Depends: debhelper-compat (= 13), libdebconfclient0-dev, libdebian-installer4-dev
Vcs-Browser: https://salsa.debian.org/installer-team/base-installer
Vcs-Git: https://salsa.debian.org/installer-team/base-installer.git

Package: base-installer
Package-Type: udeb
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, di-utils-mapdevfs, di-utils, rootskel
Description: base system installation framework

Package: bootstrap-base
Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, mounted-partitions, created-fstab, base-installer, debootstrap-udeb, gpgv-udeb, trisquel-archive-keyring-udeb, archdetect, ${misc:Depends}
Provides: kernel-installer, installed-base
XB-Installer-Menu-Item: 6500
Description: Install the base system

## base-installer 1.226

=== Makefile ===
ifndef TARGETS
TARGETS=pkgdetails run-debootstrap
endif

CFLAGS += -Wall -g -D_GNU_SOURCE

ifdef DEBUG
CFLAGS:=$(CFLAGS) -g3
else
CFLAGS:=$(CFLAGS) -Os -fomit-frame-pointer
endif

STRIP := strip

all: $(TARGETS)

pkgdetails: pkgdetails.c
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^

run-debootstrap: run-debootstrap.c
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ -ldebconfclient -ldebian-installer

small: CFLAGS:=-Os $(CFLAGS)
small: $(TARGETS)
	$(STRIP) --remove-section=.comment --remove-section=.note $^
	ls -l $^

clean:
	-rm -f $(TARGETS)

test:
	$(MAKE) -C kernel test

=== kernel/Makefile ===
ARCHES = alpha amd64 arm64 armel armhf hppa i386 ia64 m68k mips mipsel mips64el powerpc ppc64 ppc64el s390x sh4 sparc sparc64 kfreebsd-amd64 kfreebsd-i386

test:
	@STATUS=0; \
	cd tests && \
	for x in $(ARCHES); do ./runtests "$$x" || STATUS=1; done; \
	exit "$$STATUS"

=== debian/changelog ===
base-installer (1.226) unstable; urgency=medium

  [ Updated translations ]
  * Spanish (es.po) by Santiago Vila
  * Hungarian (hu.po) by Szia Tomi

 -- Cyril Brulebois <kibi@debian.org>  Sun, 20 Jul 2025 06:33:04 +0200

=== debian/control ===
Source: base-installer
Section: debian-installer
Priority: required
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Colin Watson <cjwatson@debian.org>, dann frazier <dannf@debian.org>, Steve McIntyre <93sam@debian.org>
Build-Depends: debhelper-compat (= 13), libdebconfclient0-dev, libdebian-installer4-dev
Vcs-Browser: https://salsa.debian.org/installer-team/base-installer
Vcs-Git: https://salsa.debian.org/installer-team/base-installer.git

Package: base-installer
Package-Type: udeb
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, di-utils-mapdevfs, di-utils, rootskel
Description: base system installation framework

Package: bootstrap-base
Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, mounted-partitions, created-fstab, base-installer, debootstrap-udeb, gpgv-udeb, debian-archive-keyring-udeb, archdetect, ${misc:Depends}
Provides: kernel-installer, installed-base
XB-Installer-Menu-Item: 6500
Description: Install the base system

=== debian/rules ===
#! /usr/bin/make -f
%:
	dh $@

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
CROSS :=
else
CROSS := CC=$(DEB_HOST_GNU_TYPE)-gcc STRIP=$(DEB_HOST_GNU_TYPE)-strip
endif

override_dh_auto_build: debian/templates.gen
ifeq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	$(MAKE) small $(CROSS)
else
	$(MAKE) DEBUG=1 $(CROSS)
endif

debian/templates.gen: debian/templates-arch
	debian/templates-build.pl $(DEB_HOST_ARCH) < $< > $@
	# give the new templates file the same mtime as the input file, so
	# that po2debconf doesn't decide that it needs to run
	# debconf-updatepo
	touch -mr $< $@

test:
	dh_auto_test

override_dh_install-arch:
	dh_install
	if [ -e "kernel/$(DEB_HOST_ARCH).sh" ]; then \
		install -D -m644 "kernel/$(DEB_HOST_ARCH).sh" \
		                 debian/bootstrap-base/usr/lib/base-installer/kernel.sh; \
	fi

override_dh_installdebconf-arch:
	dh_installdebconf
	(echo ; cat debian/templates.gen) >> debian/bootstrap-base/DEBIAN/templates

## base-installer 1.226devuan1

=== debian/changelog ===
base-installer (1.226devuan1) unstable; urgency=medium

  * Merge tag 1.226.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 21 Jul 2025 19:36:58 +0100

## base-installer 1.226devuan2

=== debian/changelog ===
base-installer (1.226devuan2) unstable; urgency=medium

  * Restore devuan-keyring-udeb dependency inadvertently lost in
    4773f53bfc9cb9bb8f22d01f069d6cbd99b49f38.
  * No longer ask about merged-/usr, it is compulsory in Devuan excalibur.
  * Revert unnecessary delta from Debian.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 17 Sep 2025 20:52:10 +0100

=== debian/control ===
Source: base-installer
Section: debian-installer
Priority: required
Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
Origin: Devuan
Build-Depends: debhelper-compat (= 13), libdebconfclient0-dev, libdebian-installer4-dev
Vcs-Browser: https://git.devuan.org/devuan/base-installer
Vcs-Git: https://git.devuan.org/devuan/base-installer.git

Package: base-installer
Package-Type: udeb
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, di-utils-mapdevfs, di-utils, rootskel
Description: base system installation framework

Package: bootstrap-base
Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, mounted-partitions, created-fstab, base-installer, debootstrap-udeb, gpgv-udeb, devuan-keyring-udeb, archdetect, ${misc:Depends}
Provides: kernel-installer, installed-base
XB-Installer-Menu-Item: 6500
Description: Install the base system

## base-installer 1.226trisquel0.10

=== debian/changelog ===
base-installer (1.226trisquel0.10) ecne; urgency=medium

  * Rebranded and adapted for Trisquel - TESTING (remove when complete)

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 26 Jul 2025 06:49:19 +0000

## base-installer 1.226trisquel1

=== debian/changelog ===
base-installer (1.226trisquel1) ecne; urgency=medium

  * Rebranded and adapted for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 01 Sep 2025 10:49:14 +0000

## base-installer 1.226+rpi1

=== debian/changelog ===
base-installer (1.226+rpi1) trixie-staging; urgency=medium

  [changes brought forward from 1.148+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Wed, 30 Jul 2014 05:27:29 +0000]
  * Use raspbian-archive-keyring instead of debian-archive-keyring.

 -- Raspbian forward porter <root@raspbian.org>  Thu, 31 Jul 2025 01:57:56 +0000

=== debian/control ===
Source: base-installer
Section: debian-installer
Priority: required
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Colin Watson <cjwatson@debian.org>, dann frazier <dannf@debian.org>, Steve McIntyre <93sam@debian.org>
Build-Depends: debhelper-compat (= 13), libdebconfclient0-dev, libdebian-installer4-dev
Vcs-Browser: https://salsa.debian.org/installer-team/base-installer
Vcs-Git: https://salsa.debian.org/installer-team/base-installer.git

Package: base-installer
Package-Type: udeb
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, di-utils-mapdevfs, di-utils, rootskel
Description: base system installation framework

Package: bootstrap-base
Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mounted-partitions, created-fstab, base-installer, debootstrap-udeb, gpgv-udeb, raspbian-archive-keyring-udeb, archdetect
Provides: kernel-installer, installed-base
XB-Installer-Menu-Item: 6500
Description: Install the base system

## base-installer 1.227

=== debian/changelog ===
base-installer (1.227) unstable; urgency=medium

  * Team upload

  [ Samuel Thibault ]
  * bootstrap-base.postinst: Pass --extra-suites=unreleased on ports archs.

  [ Updated translations ]
  * Spanish (es.po) by Francisco Serrador
  * Estonian (et.po) by Priit Jõerüüt
  * Persian (fa.po) by Danial Behzadi
  * Hungarian (hu.po) by Szia Tomi
  * Kabyle (kab.po) by Azwaw
  * Lao (lo.po) by BoneNI
  * Serbian (sr.po) by Саша Петровић

 -- Holger Wansing <hwansing@mailbox.org>  Fri, 26 Dec 2025 23:50:14 +0100

## base-installer 1.227devuan1

=== debian/changelog ===
base-installer (1.227devuan1) unstable; urgency=medium

  * Merge tag 1.227.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 30 Dec 2025 08:16:07 +0000

## base-installer 1.227+rpi1

=== debian/changelog ===
base-installer (1.227+rpi1) forky-staging; urgency=medium

  [changes brought forward from 1.148+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Wed, 30 Jul 2014 05:27:29 +0000]
  * Use raspbian-archive-keyring instead of debian-archive-keyring.

 -- Raspbian forward porter <root@raspbian.org>  Tue, 13 Jan 2026 17:43:40 +0000

## base-installer 1.228

=== debian/changelog ===
base-installer (1.228) unstable; urgency=medium

  [ John Paul Adrian Glaubitz ]
  * Remove loong64 from the list of Debian Ports architectures

  [ Updated translations ]
  * Estonian (et.po) by Priit Jõerüüt
  * Kannada (kn.po) by Prasannakumar T Bhat

 -- Cyril Brulebois <kibi@debian.org>  Fri, 23 Jan 2026 09:23:46 +0100

## base-installer 1.228devuan1

=== debian/changelog ===
base-installer (1.228devuan1) unstable; urgency=medium

  * Merge tag 1.228.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 23 Jan 2026 17:59:38 +0000

## base-installer 1.228+rpi1

=== debian/changelog ===
base-installer (1.228+rpi1) forky-staging; urgency=medium

  [changes brought forward from 1.148+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Wed, 30 Jul 2014 05:27:29 +0000]
  * Use raspbian-archive-keyring instead of debian-archive-keyring.

 -- Raspbian forward porter <root@raspbian.org>  Fri, 30 Jan 2026 07:38:03 +0000
